
package com.tmerclub.cloud.multishop.dto;

import com.tmerclub.cloud.api.product.dto.BrandShopDTO;
import com.tmerclub.cloud.api.product.dto.CategoryShopDTO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/9 15:23
 */
public class ShopCreateInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "商家注册信息")
    private ShopUserRegisterDTO shopUserRegisterInfo;

    @Schema(description = "店铺基本信息")
    private ShopDetailDTO shopDetail;

    @Schema(description = "店铺工商信息")
    private ShopCompanyDTO shopCompany;

    @Schema(description = "签约分类列表")
    private List<CategoryShopDTO> categorySigningList;

    @Schema(description = "签约品牌列表")
    private List<BrandShopDTO> brandSigningList;

    @Schema(description = "店铺银行卡列表")
    private List<ShopBankCardDTO> shopBankCardList;

    @Schema(description = "通联店铺银行卡")
    private AllinpayShopBankCardDTO allinpayShopBankCardDTO;

    public ShopUserRegisterDTO getShopUserRegisterInfo() {
        return shopUserRegisterInfo;
    }

    public void setShopUserRegisterInfo(ShopUserRegisterDTO shopUserRegisterInfo) {
        this.shopUserRegisterInfo = shopUserRegisterInfo;
    }

    public ShopDetailDTO getShopDetail() {
        return shopDetail;
    }

    public void setShopDetail(ShopDetailDTO shopDetail) {
        this.shopDetail = shopDetail;
    }

    public ShopCompanyDTO getShopCompany() {
        return shopCompany;
    }

    public void setShopCompany(ShopCompanyDTO shopCompany) {
        this.shopCompany = shopCompany;
    }

    public List<CategoryShopDTO> getCategorySigningList() {
        return categorySigningList;
    }

    public void setCategorySigningList(List<CategoryShopDTO> categorySigningList) {
        this.categorySigningList = categorySigningList;
    }

    public List<BrandShopDTO> getBrandSigningList() {
        return brandSigningList;
    }

    public void setBrandSigningList(List<BrandShopDTO> brandSigningList) {
        this.brandSigningList = brandSigningList;
    }

    public List<ShopBankCardDTO> getShopBankCardList() {
        return shopBankCardList;
    }

    public void setShopBankCardList(List<ShopBankCardDTO> shopBankCardList) {
        this.shopBankCardList = shopBankCardList;
    }

    public AllinpayShopBankCardDTO getAllinpayShopBankCardDTO() {
        return allinpayShopBankCardDTO;
    }

    public void setAllinpayShopBankCardDTO(AllinpayShopBankCardDTO allinpayShopBankCardDTO) {
        this.allinpayShopBankCardDTO = allinpayShopBankCardDTO;
    }

    @Override
    public String toString() {
        return "ShopCreateInfoDTO{" +
                "shopUserRegisterInfo=" + shopUserRegisterInfo +
                ", shopDetail=" + shopDetail +
                ", shopCompany=" + shopCompany +
                ", categorySigningList=" + categorySigningList +
                ", brandSigningList=" + brandSigningList +
                ", shopBankCardList=" + shopBankCardList +
                ", allinpayShopBankCardDTO=" + allinpayShopBankCardDTO +
                '}';
    }
}
